Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.model
Class XpathEvent

    java.lang.Object
      javax.enterprise.deploy.model.XpathEvent

public final class XpathEvent
extends java.lang.Object

An Event class describing ConfigBeans being added/subtracted from a server configuration.

Field Summary
`static java.lang.Object` | `BEAN_ADDED` Adding a DDBean
`static java.lang.Object` | `BEAN_CHANGED` Changing a DDBean
`static java.lang.Object` | `BEAN_REMOVED` Removing a DDBean

Constructor Summary
`XpathEvent(DDBean bean, java.lang.Object typ)` A description of a change in the ConfigBean tree.

Method Summary
`DDBean` | `getBean()` The bean being added/removed/changed.
`java.beans.PropertyChangeEvent` | `getChangeEvent()`
`boolean` | `isAddEvent()` Is this an add event?
`boolean` | `isChangeEvent()` Is this a change event?
`boolean` | `isRemoveEvent()` Is this a remove event?
`void` | `setChangeEvent(java.beans.PropertyChangeEvent pce)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEAN_ADDED

    public static final java.lang.Object BEAN_ADDED

  Adding a DDBean

### BEAN_REMOVED

    public static final java.lang.Object BEAN_REMOVED

  Removing a DDBean

### BEAN_CHANGED

    public static final java.lang.Object BEAN_CHANGED

  Changing a DDBean

Constructor Detail

### XpathEvent

    public XpathEvent(DDBean bean,
                      java.lang.Object typ)

  A description of a change in the ConfigBean tree.

Parameters:
  `bean` - The ConfigBean being added/removed.
  `typ` - Indicates an add/remove event.

Method Detail

### getChangeEvent

    public java.beans.PropertyChangeEvent getChangeEvent()

### setChangeEvent

    public void setChangeEvent(java.beans.PropertyChangeEvent pce)

### getBean

    public DDBean getBean()

  The bean being added/removed/changed.

  Returns:
    The bean being added/removed/changed.

### isAddEvent

    public boolean isAddEvent()

  Is this an add event?

  Returns:
    true if this is an add event.

### isRemoveEvent

    public boolean isRemoveEvent()

  Is this a remove event?

  Returns:
    true if this is a remove event.

### isChangeEvent

    public boolean isChangeEvent()

  Is this a change event?

  Returns:
    true if this is a change event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.